#pragma once

#include "../message_reporter.h"
#include <yandex/maps/wiki/diffalert/diff_context.h>

namespace maps {
namespace wiki {
namespace diffalert {

void checkForbiddenCond(const DiffContext&, MessageReporter&);
void checkCondTollModified(const DiffContext& diff, MessageReporter& messages);
void checkCondAnnotationModified(const DiffContext& diff, MessageReporter& messages);
void checkCondRdElMoved(const DiffContext& diff, MessageReporter& messages);
void checkCondRdJcMoved(const DiffContext& diff, MessageReporter& messages);

} // namespace diffalert
} // namespace wiki
} // namespace maps
